<?xml version="1.0" encoding="utf-8"?>
<odoo>

    <!-- Inherit stock.picking form — add WC tracking fields -->
    <record id="stock_picking_view_form_woo" model="ir.ui.view">
        <field name="name">stock.picking.form.woo</field>
        <field name="model">stock.picking</field>
        <field name="inherit_id" ref="stock.view_picking_form"/>
        <field name="arch" type="xml">
            <xpath expr="//page[@name='extra']" position="after">
                <page string="WooCommerce" name="woo_shipping" invisible="not is_woo_delivery">
                    <group>
                        <group string="Shipping Details">
                            <field name="woo_tracking_number"/>
                            <field name="woo_carrier_id"/>
                        </group>
                    </group>
                </page>
            </xpath>
        </field>
    </record>

</odoo>
